# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
-   repo: https://github.com/psf/black
    rev: 21.10b0
    hooks:
    - id: black
      args: ['--target-version', 'py37', '--skip-string-normalization', '--line-length', '110']
-   repo: https://github.com/PyCQA/isort
    rev: 5.7.0
    hooks:
    - id: isort
      args: ['--profile', 'black', '--line-length', '110']
-   repo: https://github.com/asottile/pyupgrade
    rev: v2.20.0
    hooks:
    - id: pyupgrade
      args: ['--keep-percent-format', '--py37-plus']
